import { DB } from "../../types"
import { managePbError } from "../../utils/pbTools"
import pbClient from "../pbClient"

const getOne = (groupId: string) =>
  managePbError<DB.MessageGroup>(() =>
    pbClient.collection("message_group").getOne(groupId)
  )

const messageGroup = {
  getOne,
}

export default messageGroup
